Bug 1007089 - openstack install on RHEL6.4 w/ rdo-release fails due to rubygem dependency
openstack install on RHEL6.4 w/ rdo-release fails due to rubygem dependency
Status: CLOSED NOTABUG
Product: RDO
Classification: Community
Component: openstack-packstack (Show other bugs)
unspecified
x86_64 Linux
unspecified Severity high
: ---
: Havana
Assigned To: RHOS Maint
Nir Magnezi
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-11 17:43 EDT by wes hayutin
Modified: 2013-09-12 08:38 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-12 08:38:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
packstack config (12.98 KB, text/plain)
2013-09-11 17:44 EDT, wes hayutin
no flags Details
setup_log.txt (9.04 KB, text/plain)
2013-09-11 17:44 EDT, wes hayutin
no flags Details

  None (edit)
Description wes hayutin 2013-09-11 17:43:56 EDT
Description of problem:

Trying to walk an RDO install on RHEL64 as a RHEL customer might.  The install works following different steps, but I *think* this should be addressed..

 package: rubygem-json-1.5.5-1.el6.x86_64 fails to install due to a dep on rubygems.

Only ruby193-rubygems is available.

1. install RHEL6.4
2. register and subscribe RHEL6.4 to subscription-manager 
3. yum install http://repos.fedorapeople.org/repos/openstack/openstack-havana/epel-6/rdo-release-havana-6.noarch.rpm
4. I have epel installed but I don't think is relevant here.

REPOS
###################################################
repo id                                          repo name                                                                               status
epel                                             Extra Packages for Enterprise Linux 6 - x86_64                                           9,579
foreman                                          Foreman stable                                                                             192
foreman-plugins                                  Foreman stable - plugins                                                                    20
openstack-havana                                 OpenStack Havana Repository                                                                367
puppetlabs-deps                                  Puppet Labs Dependencies El 6 - x86_64                                                      49
puppetlabs-products                              Puppet Labs Products El 6 - x86_64                                                         294
rhel-6-server-cf-tools-1-rpms                    Red Hat CloudForms Tools for RHEL 6 (RPMs)                                                  31
rhel-6-server-rhev-agent-rpms                    Red Hat Enterprise Virtualization Agents for RHEL 6 Server (RPMs)                           32
rhel-6-server-rpms                               Red Hat Enterprise Linux 6 Server (RPMs)                                                10,902
rhel-ha-for-rhel-6-server-rpms                   Red Hat Enterprise Linux High Availability (for RHEL 6 Server) (RPMs)                      269
rhel-lb-for-rhel-6-server-rpms                   Red Hat Enterprise Linux Load Balancer (for RHEL 6 Server) (RPMs)                           11
rhel-rs-for-rhel-6-server-rpms                   Red Hat Enterprise Linux Resilient Storage (for RHEL 6 Server) (RPMs)                      31
###################################################

the packstack install fails w/
--> Processing Dependency: rubygems for package: rubygem-json-1.5.5-1.el6.x86_64
--> Finished Dependency Resolution
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest
Comment 1 wes hayutin 2013-09-11 17:44:24 EDT
Created attachment 796537 [details]
packstack config
Comment 2 wes hayutin 2013-09-11 17:44:46 EDT
Created attachment 796538 [details]
setup_log.txt
Comment 3 wes hayutin 2013-09-12 08:38:38 EDT
not a bug.. need to enable the optional repo

Note You need to log in before you can comment on or make changes to this bug.